# Graph Deep Learning for Drug Repurposing.

## Content in each directory:
- **data**: Data to build DISNET's graph.
- **documentation**: Instructions to install the needed libraries.
- **metrics**: Training, testing and RepoDB validating ROC & PRC.
- **models**: Trained models.
- **results**: Result files of the RepoDB test and the distribution plots (once these are generated).
- **testData**: Data to validate model using RepoDB.
- **Code files:**
  - autoencoder (drug molecular embedder model). 
  - dmsr (drug repurposing model).
  - drug_embedding_generator (generates drug embeddings using SMILES representation).
  - heterograph_construction (build graph).
  - testRepoDB (validate model using RepoDB).
  - testRepoDBWeightsAndBiases.py (validate model using RepoDB automatically with Weights&Biases).
  - topN (get topN new predictions).
  - utilities (plotting utilities).

## Summary
Repository of Adrián Ayuso-Muñoz's master's final project "Graph Deep Learning for Drug Repurposing".